/*
 * EstadisticasBean.java
 *
 * Created on 19 de marzo de 2007, 09:46 PM
 *
 * To change this template, choose Tools | Template Manager
 * and open the template in the editor.
 */

package com.fidufosyga.model;

/**
 * 
 * @author Julian
 */
public class EstadisticasBean {

	private Long registrosGlosados;

	private Long registrosValidos = 0L;

	private Long totalRegistros;

	private Integer tiempoTranscurrido;

	private String directorioOut;

	public static final String NO_CALCULADO = "No Calculado";

	/** Creates a new instance of EstadisticasBean */
	public EstadisticasBean() {
	}

	public Long getRegistrosGlosados() {
		return registrosGlosados;
	}

	public void setRegistrosGlosados(Long registrosGlosados) {
		this.registrosGlosados = registrosGlosados;
	}

	public Long getRegistrosValidos() {
		return registrosValidos;
	}

	public void setRegistrosValidos(Long registrosValidos) {
		this.registrosValidos = registrosValidos;
	}

	public Long getTotalRegistros() {
		return totalRegistros;
	}

	public void setTotalRegistros(Long totalRegistros) {
		this.totalRegistros = totalRegistros;
	}

	public Integer getTiempoTranscurrido() {
		return tiempoTranscurrido;
	}

	public void setTiempoTranscurrido(Integer tiempoTranscurrido) {
		this.tiempoTranscurrido = tiempoTranscurrido;
	}

	public String getGlosadosString() {
		if (registrosGlosados == null) {
			return NO_CALCULADO;
		}
		return String.valueOf(registrosGlosados);

	}

	public String getValidosString() {
		if (registrosValidos == null) {
			return NO_CALCULADO;
		}
		return String.valueOf(registrosValidos);

	}

	public String getTiempoString() {
		if (tiempoTranscurrido == null) {
			return NO_CALCULADO;
		}
		int tiempoSegundos = tiempoTranscurrido.intValue() / 1000;
		int tiempoMinutos = (int) tiempoSegundos / 60;
		int segundos = tiempoSegundos % 60;
		int horas = (int) tiempoMinutos / 60;
		int minutos = tiempoMinutos % 60;
		return String.valueOf(horas + ":" + minutos + ":" + segundos);

	}

	public int getPctGlosados() {
		if (totalRegistros != null && registrosGlosados != null
				&& totalRegistros.longValue() != 0) {
			return (int) ((100 * registrosGlosados.longValue()) / totalRegistros
					.longValue());
		}
		return 0;
	}

	
	public int getPctValidos() {
		if (totalRegistros != null && registrosValidos != null
				&& totalRegistros.longValue() != 0) {
			return (int) ((100 * registrosValidos.longValue()) / totalRegistros
					.longValue());
		}
		return 0;
	}

	public String getTotalRegistrosString() {
		if (totalRegistros == null) {
			return NO_CALCULADO;
		}
		return String.valueOf(totalRegistros);

	}

	public String getDirectorioOut() {
		if (directorioOut == null) {
			return "No Seleccionado";
		}

		return directorioOut;

	}

	public void setDirectorioOut(String directorioOut) {
		this.directorioOut = directorioOut;

	}

}
